<?php
/**
 * User Interface new resource form
 *
 * PHP version 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   NA
 * @package    NA
 * @author     Nicolas Bruley / Peer 2 World <contact@weezo.net>
 * @copyright  2005-2009 Nicolas Bruley / Peer 2 World
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    CVS: $Id:$
 * @link       http://www.weezo.net
 * @since      File available since Release 2.0.0
 */

require_once(INCLUDE_DIR.'resourceConfigFunctions.php');
require_once(INCLUDE_DIR.'outputFunctions.php');

if(!cfIsInApp()) die();

$shownNodes='false';
if(@$_GET['shownnodes']) $shownNodes=$_GET['shownnodes'];
elseif(@$_GET['shownNodes']) $shownNodes=$_GET['shownNodes'];
if($shownNodes=='"false"') $shownNodes='false';
// If a resource type & subtype passed, put it into shownNodes object
if(isset($_GET['newResType']) && isset($_GET['newResSubType'])) $shownNodes='{"'.$_GET['newResType'].'":{"'.strtolower($_GET['newResSubType']).'":1}}';


// If called from user interface, remove context menu files that might remain from a previously aborted resource creation
if(isset($_GET['fromUI'])) {
	cfGSetVar('uiResourceShellAction',false,true);
	cfGSetVar('uiResourceShellFiles',false,true);
}

/**
 ***************************************************************************************************************************
 * Insert page HEADER
 ***************************************************************************************************************************
 */
cfInsertHEAD(true,array('size'=>'700x425','icon'=>'new','title'=>cfCaption('resNewResource')));
echo cfScriptLink('winClient.js');
?>
<body style="overflow:hidden;margin:0px;padding:0px">
<?php
rcNewResourceForm(false,true);
?>
<script type="text/javascript">
newResPopupShow(<?php echo $shownNodes;?>,1);
</script>
</body>
