var winMe,
	winMyId=-1,
	winUseWindows=0,
	winObjWidth, winObjHeight;

try{
	if(parent && parent.winSetChildsIds){
		parent.winSetChildsIds();
		winUseWindows=1;
	}
}
catch(e){}

if(!winUseWindows) winMe = new winObj();

function winObj(){
	this.caption=false;
	this.icon=false;
	this.closeURL=false;
	this.onCloseFunction=false;
	this.barDisplayed=false;
	this.winState='normal';
}
winObj.prototype.desktopSize = function (){
	if(winUseWindows) return {'w':parent.dd.getWndW(),'h':parent.dd.getWndH()};
	return {'w':screen.width,'h':screen.height}
}
winObj.prototype.isFrameless = function (){return true}
winObj.prototype.isActive = function (){return true}

winObj.prototype.getOpenerId = function (){return false}

winObj.prototype.reload = function (){D.location.reload();}
winObj.prototype.setReloading = function (){}
winObj.prototype.setLoaded = function (){}
winObj.prototype.asyncRequestIndicator = function (s){}

winObj.prototype.bringToFront = function (){}

winObj.prototype.reloadable = function (r){}
winObj.prototype.closeable = function (r){}

winObj.prototype.closeMe = function (){
	if(this.onCloseFunction) try{eval(this.onCloseFunction()+'()');} catch(err){};
	if(winFrames) W.close(); else D.location=(this.closeURL)?this.closeURL:'/index.php';
}

winObj.prototype.setSize = function (w,h){if(winFrames) W.resizeTo(w,h)}
// Resize window
winObj.prototype.resizeTo = function (w,h,centerResize){
	if(!winFrames) return;
	w=(w===false)?W.outerWidth:w;
	h=(h===false)?W.outerHeight:h
	w=Math.min(this.desktopSize()['w'],w);
	h=Math.min(this.desktopSize()['h'],h);

	if(centerResize) {
		if(W.outerWidth==undefined) W.moveBy((D.body.clientWidth+12-w)/2,(D.body.clientHeight+60-h)/2);
		else W.moveBy((W.outerWidth-w)/2,(W.outerHeight-h)/2);
	}
	W.resizeTo(w,h)
}
winObj.prototype.resizeInnerTo = function (w,h,centerResize){
	if(!winFrames) return;
	if(W.outerWidth==undefined) this.resizeTo(((w)?w:D.body.clientWidth)+12,((h)?h:D.body.clientHeight)+60,centerResize); //IE
	else {
		if(Math.abs(W.outerWidth-W.innerWidth)>20) this.resizeTo((!w)?W.outerWidth:w,(!h)?W.outerHeight:h,centerResize); // FF2 WA
		this.resizeTo((!w)?W.outerWidth:w+W.outerWidth-W.innerWidth,(!h)?W.outerHeight:h+W.outerHeight-W.innerHeight,centerResize);
	}
}
winObj.prototype.resizeToRelative = function (pw,ph,centerResize){
	this.resizeTo(dd.getWndW()*pw/100,dd.getWndH()*ph/100,centerResize);
}
winObj.prototype.maximize = function (){
	if(winFrames) {
		this.restoreSize={'x': (D.all)?W.screenLeft:W.screenX,'y':(D.all)?W.screenTop:W.screenY,'w':W.outerWidth,'h':W.outerHeight}
		W.moveTo(0,0);
		W.resizeTo(screen.width,screen.height);
	}
	if(W.winStateChanged) winStateChanged(this.winState, 'max');
	this.winState='max';
}
winObj.prototype.minimize = function (){
	if(winFrames) W.resizeTo(200,0)
	if(W.winStateChanged) winStateChanged(this.winState, 'minNormal');
	this.winState='minNormal';
}
winObj.prototype.restore = function (){
	prevState=this.winState;
	if(this.winState=='minMax' || this.winState=='minNormal') {
		if(this.winState=='minMax') this.winState='max'; else this.winState='normal';
	}
	else this.winState='normal';
	if(this.restoreSize){
		W.resizeTo(this.restoreSize['w'],this.restoreSize['h']);
		W.moveTo(this.restoreSize['x'],this.restoreSize['y']);
	}
	if(W.winStateChanged) winStateChanged(prevState, this.winState);
}

winObj.prototype.setFullscreen = function (){
	this.maximize();
}

winObj.prototype.moveTo = function (x,y){
	if(winFrames) W.moveTo(x,y);
}
winObj.prototype.center = function (){if(winFrames) W.moveTo(screen.width/2-W.outerWidth/2,screen.height/2-W.outerHeight/2)}

winObj.prototype.getInnerWidth = function (){
	return (W.innerWidth)?W.innerWidth:D.body.offsetWidth
}
winObj.prototype.getInnerHeight = function (){
	//return (((W.innerHeight)=='number')?W.innerHeight:((D.documentElement)?D.documentElement.clientHeight:D.body.clientHeight));
	return (W.innerHeight)?W.innerHeight:D.body.offsetHeight
}
// Set window text title
winObj.prototype.setCaption = function (capt){this.caption=capt; if(this.barDisplayed) dgi('winCapt').innerHTML=capt;D.title=capt}
winObj.prototype.getCaption = function (){return this.caption}

// Aliases for get/set caption
winObj.prototype.setTitle = function (capt){this.setCaption(capt)}
winObj.prototype.getTitle = function (){return this.getCaption()}

winObj.prototype.addIcon = function (id, action, cssBackground, title){
	var wEi=dgi('winExtra'+id),wE=dgi("winExtra");
	if(wE && !dgi("winExtra"+id)) wE.innerHTML+='<a id="winExtra'+id+'" class="winExtraIcon" href="#">&nbsp;</a>'
	if(title) wEi.style.background=cssBackground;
	wEi.onclick=action;
	wEi.style.display='inline';
	if(title) wEi.title=title;
}


winObj.prototype.toggleState = function (){}
winObj.prototype.setBorderless = function (){
	dgi('winBar').style.display='none';
	if(W.winResized) winResized(this.getInnerWidth, this.getInnerHeight)
}
winObj.prototype.resized= function (){
	if(W.winResized) winResized(this.getInnerWidth, this.getInnerHeight)
}
winObj.prototype.resetBorders = function (){
	if(!dgi('winBar')) return;
	dgi('winBar').style.display='';
	if(W.winResized) winResized(this.getInnerWidth, this.getInnerHeight)
}
winObj.prototype.isBorderless = function (){if(!dgi('winBar')) return true; return dgi('winBar').style.display=='none'}

winObj.prototype.setCloseFunction= function (f){this.onCloseFunction=f}

winObj.prototype.addIcon = function (id, action, bgImage, title){
	if(!dgi("winBar")) return W.setTimeout('winMe.addIcon("'+id+'","'+action+'","'+bgImage+'","'+title+'")',100);
	if(!dgi("winExtra"+id)) dgi("winExtra").innerHTML+='<a id="winExtra'+id+'" class="winExtraIcon" name="winExtraIcon"></a>'
	dgi("winExtra"+id).innerHTML='<img src="'+bgImage+'">';
	dgi("winExtra"+id).href='javascript:'+action;
	dgi("winExtra").style.display='';
	if(title) dgi("winExtra").title=title;
}

winObj.prototype.setBar= function (caption, icon, closeURL, hidden){
	this.caption=caption;
	this.icon=icon;
	this.closeURL=closeURL;
	winMe.insertBar(hidden);
}
winObj.prototype.insertBar= function (hidden){
	if(!D.body) return W.setTimeout("winMe.insertBar()",20);
	var n=D.createElement('div');
	if(W.winBrowserBar) ih=W.winBrowserBar();
	else{
		ih ='<div class="winFramelessT" id="winBar"'+((hidden)?' style="display:none"':'')+'>';
		ih+='<img class="winIcon" id="winIcon" alt="" src="'+this.icon+'" alt=""/>';
		ih+='<span class="winCapt" id="winCapt">'+this.caption+'</span>';
		ih+='<span class="winExtra" id="winExtra"></span>';
		ih+='<a class="winReload" href="javascript:location.reload()"> </a>';
		ih+='<a class="winClose" href="javascript:winMe.closeMe()"> </a>';
		ih+='</div>';
	}
	n.innerHTML=ih;
	D.body.insertBefore(n,D.body.firstChild);
	this.barDisplayed=true;
}


winObj.prototype.openWindow = function (url,options){
	if(!winFrames){D.location=url; return true;}
	var nw=W.open(url);
}

winObj.prototype.reloadDesktop = function (){opener.close()}


function winObjMonitorResize(){
	if(!W.winResized) return;
	if(!winObjWidth) {
		winObjWidth=winMe.getInnerWidth();winObjHeight=winMe.getInnerHeight();
		return;
	}

	if(winObjWidth!=winMe.getInnerWidth() || winObjHeight!=winMe.getInnerHeight()){
		winObjWidth=winMe.getInnerWidth();winObjHeight=winMe.getInnerHeight();
		winResized(winObjWidth,winObjHeight)
	}
}
setInterval(winObjMonitorResize,300);